Subject: Re: [bug#28401] [PATCH 0/2] gnu: Add monero.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Sep 2017 13:36:35 +0200

Theodoros Foradis <[email-masked]> skribis:

>> BTW, all tests pass (on x86_64), but the second test of “monero” takes
>> ages:
>
> Maybe we should like to disable that specific test?

It does pass on time on x86_64, and supposedly it’s useful, so I would
not disable it.

However, we should keep an eye on it and check whether it takes too
longer on ARM, for instance, and perhaps adjust ‘max-silent-time’
accordingly.

>>> As far as monero-core is concerned (the gui), I did not manage to get it
>>> to build with the modular qt. Should this be added in the source as a
>>> TODO item?
>>
>> Could you be more specific at what you tried and failed to achieve?
>> Perhaps Efraim (Cc’d) or someone else can provide guidance.
>
> The README file lists the following packages for other GNU/Linux
> distros:
> qtbase5-dev qt5-default qtdeclarative5-dev qml-module-qtquick-controls
> qml-module-qtquick-xmllistmodel qttools5-dev-tools
> qml-module-qtquick-dialogs
>
> I tried using our:
> qtbase
> qtdeclarative
> qtquickcontrol
> qttools
> qtgraphicaleffects,
> with which the package won't build.

How does it fail?

> But I can't find the equivalent for the qml-module-... packages, except
> for the qtquickcontrol one. Maybe I'm missing something?

Dunno, you’re the expert!  :-)

Ludo’.